Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class DefaultArtifact

    java.lang.Object
      com.atlassian.bamboo.build.DefaultArtifact

All Implemented Interfaces:
  Artifact, ConvertibleFromConfig, Comparable

    public class DefaultArtifact

extends Object
implements Artifact, Comparable

The components used to identify a build artifact that need to be kept.

Field Summary

Fields inherited from interface com.atlassian.bamboo.build.Artifact
`ARTIFACT_COPY_PATTERN, ARTIFACT_LABEL, ARTIFACT_SRC_DIR`

Constructor Summary
`DefaultArtifact()`
`DefaultArtifact(String label, String copyPattern, String srcDirectory)` Create a build artifact identified in the UI by the label.

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`String` | `getCopyPattern()` What is the ANT copy style pattern used to copy the artifacts from the build directory.
`String` | `getLabel()` What is the UI link label used to identify the artifact
`String` | `getSrcDirectory()` The source directory relative to the build directory - e.g.
`int` | `hashCode()`
`void` | `populateFromConfig(HierarchicalConfiguration config)` Update the current object with data in the `FieldValueItemHolder`
`void` | `setCopyPattern(String copyPattern)`
`void` | `setLabel(String label)` What label should this artifact have?
`void` | `setSrcDirectory(String srcDirectory)`
`HierarchicalConfiguration` | `toConfiguration()` Generate a `FieldValueItemHolder` from the current state of the object

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultArtifact

    public DefaultArtifact()

### DefaultArtifact

    public DefaultArtifact(String label,
                           String copyPattern,
                           String srcDirectory)

  Create a build artifact identified in the UI by the label. We use the Ant style pattern match to idetify the files that need to be copies accross into the arcive repository.

  Parameters:
    `label` - The UI text pabel
    `copyPattern` - The ANT style copy pattern, relative to the source code directory
    `srcDirectory` -

Method Detail

### getLabel

    public String getLabel()

  What is the UI link label used to identify the artifact

  Specified by:
    `getLabel` in interface `Artifact`
  Returns:
    The label

### setLabel

    public void setLabel(String label)

  What label should this artifact have?

  Specified by:
    `setLabel` in interface `Artifact`
  Parameters:
    `label` - The label

### getCopyPattern

    public String getCopyPattern()

  What is the ANT copy style pattern used to copy the artifacts from the build directory.

  Specified by:
    `getCopyPattern` in interface `Artifact`
  Returns:
    The pattern

### setCopyPattern

    public void setCopyPattern(String copyPattern)

  Specified by:
    `setCopyPattern` in interface `Artifact`

### getSrcDirectory

    public String getSrcDirectory()

  The source directory relative to the build directory - e.g. "target/clover"

  Specified by:
    `getSrcDirectory` in interface `Artifact`

### setSrcDirectory

    public void setSrcDirectory(String srcDirectory)

  Specified by:
    `setSrcDirectory` in interface `Artifact`

### populateFromConfig

    public void populateFromConfig(HierarchicalConfiguration config)

  Description copied from interface: `ConvertibleFromConfig`
  Update the current object with data in the `FieldValueItemHolder`

  Specified by:
    `populateFromConfig` in interface `ConvertibleFromConfig`

### toConfiguration

    public HierarchicalConfiguration toConfiguration()

  Description copied from interface: `ConvertibleFromConfig`
  Generate a `FieldValueItemHolder` from the current state of the object

  Specified by:
    `toConfiguration` in interface `ConvertibleFromConfig`
  Returns:
    Always returns an `FieldValueItemHolder`. Never null

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.